Bug 482881 - Add locale data for Pashto (ps_AF)
Add locale data for Pashto (ps_AF)
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Andreas Schwab
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-01-28 12:13 EST by Sayamindu Dasgupta
Modified: 2009-11-03 02:04 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-11-03 02:04:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Locale data, provided by Nasir from the Afghanistan deployment team. (10.15 KB, text/plain)
2009-01-28 12:13 EST, Sayamindu Dasgupta
no flags Details
updated collation rules (7.50 KB, text/plain)
2009-10-14 12:07 EDT, Pravin Satpute
no flags Details

  None (edit)
Description Sayamindu Dasgupta 2009-01-28 12:13:45 EST
Created attachment 330258 [details]
Locale data, provided by Nasir from the Afghanistan deployment team.

Attached is the locale data file for Pashto (AFghanistan) (ps_AF). This was obtained from the OLPC deployment team from Afghanistan.
Comment 1 Ulrich Drepper 2009-03-11 10:03:21 EDT
The LC_COLLATE data is wrong.  You always start by including the iso14651_t1 and then, if necessary, add appropriate reorder_after.  I will not add the current data.
Comment 2 Bug Zapper 2009-06-09 06:56:16 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
Comment 3 Ulrich Drepper 2009-10-14 08:25:35 EDT
No progress here?  Then we might as well close this bug.
Comment 4 Pravin Satpute 2009-10-14 12:07:54 EDT
Created attachment 364774 [details]
updated collation rules 

i tried to keep sorting order same as provided in original locale file, most of the thing was already available in iso_common file, so just defined and sorted new one, as per requirement

while generating localedata got error

LC_MONETARY: value of field `int_curr_symbol' does not correspond to a valid name in ISO 4217

values is proper as per http://www.jhall.demon.co.uk/currency/by_abbrev.html

might be need to update something from glibc side

Comment 5 Ulrich Drepper 2009-10-15 09:55:22 EDT
AFN is the correct currency abbreviation, AFA was the old one.

I've checked in the locale with this change.
Comment 6 Pravin Satpute 2009-11-03 02:04:33 EST
Thanks for upstream commit
closing bug

Note You need to log in before you can comment on or make changes to this bug.